curl --request POST \
--url https://getunblocked.com/api/v1/scim/v2/Groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"id": "<string>",
"externalId": "<string>",
"members": [
{
"value": "<string>",
"\\$ref": "<string>",
"display": "<string>"
}
]
}
'import requests
url = "https://getunblocked.com/api/v1/scim/v2/Groups"
payload = {
"displayName": "<string>",
"id": "<string>",
"externalId": "<string>",
"members": [
{
"value": "<string>",
"\$ref": "<string>",
"display": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
id: '<string>',
externalId: '<string>',
members: [{value: '<string>', '\$ref': '<string>', display: '<string>'}]
})
};
fetch('https://getunblocked.com/api/v1/scim/v2/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/scim/v2/Groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'id' => '<string>',
'externalId' => '<string>',
'members' => [
[
'value' => '<string>',
'\\$ref' => '<string>',
'display' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/scim/v2/Groups"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"id\": \"<string>\",\n \"externalId\": \"<string>\",\n \"members\": [\n {\n \"value\": \"<string>\",\n \"\\\\$ref\": \"<string>\",\n \"display\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://getunblocked.com/api/v1/scim/v2/Groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"id\": \"<string>\",\n \"externalId\": \"<string>\",\n \"members\": [\n {\n \"value\": \"<string>\",\n \"\\\\$ref\": \"<string>\",\n \"display\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/scim/v2/Groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"id\": \"<string>\",\n \"externalId\": \"<string>\",\n \"members\": [\n {\n \"value\": \"<string>\",\n \"\\\\$ref\": \"<string>\",\n \"display\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"schemas": [
"<string>"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-05-13T04:42:34Z",
"lastModified": "2011-05-13T04:42:34Z",
"location": "https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W/\"123456\""
},
"displayName": "<string>",
"members": [
{
"value": "<string>",
"type": "User",
"\\$ref": "<string>",
"display": "<string>"
}
]
}An error occurred.Create Group
Create a new group.
curl --request POST \
--url https://getunblocked.com/api/v1/scim/v2/Groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"id": "<string>",
"externalId": "<string>",
"members": [
{
"value": "<string>",
"\\$ref": "<string>",
"display": "<string>"
}
]
}
'import requests
url = "https://getunblocked.com/api/v1/scim/v2/Groups"
payload = {
"displayName": "<string>",
"id": "<string>",
"externalId": "<string>",
"members": [
{
"value": "<string>",
"\$ref": "<string>",
"display": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
id: '<string>',
externalId: '<string>',
members: [{value: '<string>', '\$ref': '<string>', display: '<string>'}]
})
};
fetch('https://getunblocked.com/api/v1/scim/v2/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/scim/v2/Groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'id' => '<string>',
'externalId' => '<string>',
'members' => [
[
'value' => '<string>',
'\\$ref' => '<string>',
'display' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/scim/v2/Groups"
payload := strings.NewReader("{\n \"displayName\": \"<string>\",\n \"id\": \"<string>\",\n \"externalId\": \"<string>\",\n \"members\": [\n {\n \"value\": \"<string>\",\n \"\\\\$ref\": \"<string>\",\n \"display\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://getunblocked.com/api/v1/scim/v2/Groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"displayName\": \"<string>\",\n \"id\": \"<string>\",\n \"externalId\": \"<string>\",\n \"members\": [\n {\n \"value\": \"<string>\",\n \"\\\\$ref\": \"<string>\",\n \"display\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/scim/v2/Groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"displayName\": \"<string>\",\n \"id\": \"<string>\",\n \"externalId\": \"<string>\",\n \"members\": [\n {\n \"value\": \"<string>\",\n \"\\\\$ref\": \"<string>\",\n \"display\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"schemas": [
"<string>"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-05-13T04:42:34Z",
"lastModified": "2011-05-13T04:42:34Z",
"location": "https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W/\"123456\""
},
"displayName": "<string>",
"members": [
{
"value": "<string>",
"type": "User",
"\\$ref": "<string>",
"display": "<string>"
}
]
}An error occurred.Authorizations
The API key to authenticate requests. Obtainable from the web dashboard.
Body
A SCIM group object as defined in RFC 7643. This object is used to represent a group in the SCIM API.
The name of the group. This is a required attribute.
The unique identifier for a SCIM group as a string. This is a required attribute and is immutable once assigned.
A String that is an identifier for the resource as defined by the provisioning client. The "externalId" may simplify identification of a resource between the provisioning client and the service provider by allowing the client to use a filter to locate the resource with an identifier from the provisioning domain, obviating the need to store a local mapping between the provisioning domain's identifier of the resource and the identifier used by the service provider. Each resource MAY include a non-empty "externalId" value. The value of the "externalId" attribute is always issued by the provisioning client and MUST NOT be specified by the service provider. The service provider MUST always interpret the externalId as scoped to the provisioning domain. While the server does not enforce uniqueness, it is assumed that the value's uniqueness is controlled by the client setting the value.
A list of members of the group. The value is an array of objects, each of which MUST contain a "value" sub-attribute which is the id of the member. The value of the "value" sub-attribute MUST be the id of a SCIM user. The value of the "type" sub-attribute MUST be the string "User".
Show child attributes
Show child attributes
Response
Created
A SCIM group object as defined in RFC 7643. This object is used to represent a group in the SCIM API.
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure. Each schema URI MUST be unique, and any schema that defines attributes in the current structure MUST be included in the array. The schemas array is REQUIRED and MUST be non-empty.
A unique identifier for a SCIM resource as defined by the service provider. Each representation of the resource MUST include a non-empty "id" value. This identifier MUST be unique across the SCIM service provider's entire set of resources. It MUST be a stable, non-reassignable identifier that does not change when the same resource is returned in subsequent requests. The value of the "id" attribute is always issued by the service provider and MUST NOT be specified by the client. The string "bulkId" is a reserved keyword and MUST NOT be used within any unique identifier value.
"2819c223-7f76-453a-919d-413861904646"
A complex attribute containing resource metadata. All "meta" sub-attributes are assigned by the service provider. This attribute SHALL be ignored when provided by clients.
Show child attributes
Show child attributes
A human-readable name for the Group.
A list of members of the group. The value is an array of objects, each of which MUST contain a "value" sub-attribute which is the id of the member. The value of the "value" sub-attribute MUST be the id of a SCIM user. The value of the "type" sub-attribute MUST be the string "User".
Show child attributes
Show child attributes